twitter4j.api

## Interface SavedSearchesResources

All Known Subinterfaces:
  Twitter

    public interface SavedSearchesResources

Author:
  Joern Huxhorn - jhuxhorn at googlemail.com

### Method Summary

All Methods Instance Methods Abstract Methods
`SavedSearch` `createSavedSearch(String query)` Creates a saved search for the authenticated user.
`SavedSearch` `destroySavedSearch(long id)` Destroys a saved search for the authenticated user.
`ResponseList<SavedSearch>` `getSavedSearches()` Returns the authenticated user's saved search queries.
`SavedSearch` `showSavedSearch(long id)` Retrieve the data for a saved search owned by the authenticating user specified by the given id.

### Method Detail

#### getSavedSearches

    ResponseList<SavedSearch> getSavedSearches()
                                        throws TwitterException

Returns the authenticated user's saved search queries.
This method calls https://api.twitter.com/1.1/saved_searches.json

Returns:
  Returns an array of numeric user ids the authenticating user is blocking.
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 2.0.8
See Also:
  GET saved_searches | Twitter Developers

#### showSavedSearch

    SavedSearch showSavedSearch(long id)
                         throws TwitterException

Retrieve the data for a saved search owned by the authenticating user specified by the given id.
This method calls https://api.twitter.com/1.1/saved_searches/show/:id.json

Parameters:
  `id` - The id of the saved search to be retrieved.
Returns:
  the data for a saved search
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 2.0.8
See Also:
  GET saved_searches/show/:id | Twitter Developers

#### createSavedSearch

    SavedSearch createSavedSearch(String query)
                           throws TwitterException

Creates a saved search for the authenticated user.
This method calls https://api.twitter.com/1.1/saved_searches/saved_searches/create.json

Parameters:
  `query` - the query string
Returns:
  the data for a created saved search
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 2.0.8
See Also:
  POST saved_searches/create | Twitter Developers

#### destroySavedSearch

    SavedSearch destroySavedSearch(long id)
                            throws TwitterException

Destroys a saved search for the authenticated user. The search specified by id must be owned by the authenticating user.
This method calls https://api.twitter.com/1.1/saved_searches/destroy/id.json

Parameters:
  `id` - The id of the saved search to be deleted.
Returns:
  the data for a destroyed saved search
Throws:
  `TwitterException` - when Twitter service or network is unavailable
Since:
  Twitter4J 2.0.8
See Also:
  POST saved_searches/destroy/:id | Twitter Developers